<?php
require_once('config/lang/eng.php');
require_once('tcpdf.php');

// extend TCPF with custom functions
class CDPDF extends TCPDF {

    public $usuario;
    public $titulo;
    public $encabezado;
    public $id_comision;
    public $fecha;
    public $clase;
    public $estado;
    public $tipo_compr;
    public $id_cen_op;	
    public $fecha_c;
    public $fecha_p;

    public function setUsuario($usuario) {

        $this->usuario = $usuario;
    }

    public function setTitulo($titulo) {

        $this->titulo = $titulo;
    }

    public function setEncabezado($encabezado) {

        $this->encabezado = $encabezado;
    }

    public function setCdp($id_comision, $fecha, $clase, $estado,$tipo_comp,$id_cen_op) {
        $this->tipo_compr=$tipo_comp;
        $this->id_comision = $id_comision;
        $this->fecha = $this->fechaEspanol($fecha);
        $this->clase = $clase;
	$this->id_cen_op=$id_cen_op;
        if($estado==1)
        $this->estado = "ACTIVO";
        if($estado==0)
        $this->estado = "CERRADO";
        if($estado==-1)
        $this->estado = "ANULADO";
    }

    public function setRp($id_comision, $fecha, $clase, $estado,$tipo_comp,$id_cen_op) {

        
        $this->tipo_compr=$tipo_comp;
        $this->id_comision = $id_comision;
        $this->fecha = $this->fechaEspanol($fecha);
        $this->clase = $clase;
	$this->id_cen_op=$id_cen_op;
        if($estado==1)
        $this->estado = "ACTIVO";
        if($estado==0)
        $this->estado = "CERRADO";
        if($estado==-1)
        $this->estado = "ANULADO";
    }

    public function setLegalizacion($fecha_p,$fecha_c){

         $this->fecha_p = $this->fechaEspanol($fecha_p);
          $this->fecha_c = $this->fechaEspanol($fecha_c);
        
    }

    public function setPac($titulo1,$titulo2,$titulo3){

          $this->titulo1 = $titulo1;
           $this->titulo2 = $titulo2;
            $this->titulo3 = $titulo3;

    }

    public function setInforme4($titulo1,$titulo2,$titulo3,$titulo4){

          $this->titulo1 = $titulo1;
           $this->titulo2 = $titulo2;
            $this->titulo3 = $titulo3;
            $this->titulo4 = $titulo4;

    }


    public function Header() {

        
//        if ($this->encabezado == '1') {
//
//            $this->SetRightMargin(15);
//            $this->SetTopMargin(2);
//            $this->SetFont('helvetica', '', 7);
//            $html = '<table border="0" cellpadding="2" width="100%"><tr><td width="100%" rowspan="2"><img width="550px" height="110px" src="images/logo_ingeo_bicen.jpg" /></td>';
//            $html.='</tr></table>';
//            $this->writeHTML($html);
//            $this->Ln(8);
//            $this->SetMargins(20, 25, 20);
//            $this->SetMargins(20, 15, 20);
//        }
//        else if($this->encabezado=='3'){
// $this->SetRightMargin(15);
//            $this->SetTopMargin(10);
//            $this->SetFont('Times', '', 10);
//            $html_2 = '<table  width="100%"><tr><td width="50%" rowspan="3"><img width="170px" height="50px" src="images/logo_ingeominas.jpg"/></td><td style="text-align:right" width="50%"><b>'.$this->titulo.'</b></td></tr>';
//            if($this->fecha_p!=null){
//            $html_2.='<tr><td style="text-align:right" width="50%">Fecha Proceso: '.$this->fecha_p.'</td></tr></table>';
//            }
//            else{
//             $html_2.='</table>';
//
//            }
//            $this->writeHTML($html_2);
//
//            $this->SetMargins(20, 35, 20);
//        }
//        else if($this->encabezado=='4'){
//
//
//            $this->SetRightMargin(15);
//            $this->SetTopMargin(10);
//            $this->SetFont('Times', '', 10);
//            $html_2 = '<table  width="100%"><tr><td width="40%" rowspan="3"><img width="170px" height="50px" src="images/logo_ingeominas.jpg"/></td><td style="text-align:left" width="50%"><b>'.$this->titulo.'</b></td></tr>';
//            $html_2.='</table>';
//            $this->writeHTML($html_2);
//            $this->Ln(15);
//            $this->SetMargins(20, 35, 20);
//
//        }
//
//        else if($this->encabezado=='5'){
//
//            $this->SetRightMargin(15);
//            $this->SetTopMargin(10);
//            $this->SetFont('Times', '', 10);
//            $html_2 = '<table  width="100%"><tr>
//                <td width="30%" rowspan="3">
//                <img width="160px" height="50px" src="images/logo_ingeominas.jpg"/>
//                </td>
//                <td style="text-align:center" width="50%"><b>'.$this->titulo1.'</b></td><td></td>
//                    </tr><tr>
//                        <td style="text-align:center" width="50%"><b>'.$this->titulo2.'</b></td><td></td>
//                    </tr><tr>
//                        <td style="text-align:center" width="50%"><b>'.$this->titulo3.'</b></td><td></td>
//                    </tr>';
//            $html_2.='</table>';
//
//            $this->writeHTML($html_2);
//            $this->Ln(15);
//            $this->SetMargins(20, 35, 20);
//        }
//        else if($this->encabezado=='6'){
//
//            $this->SetRightMargin(15);
//            $this->SetTopMargin(10);
//            $this->SetFont('Times', '', 10);
//            $html_2 = '<table  width="100%"><tr>
//                <td width="30%" rowspan="4">
//                <img width="160px" height="50px" src="images/logo_ingeominas.jpg"/>
//                </td>
//                <td style="text-align:center" width="50%"><b>'.$this->titulo1.'</b></td><td></td>
//                    </tr><tr>
//                    <td style="text-align:center" width="50%"><b>'.$this->titulo4.'</b></td><td></td>
//                        </tr><tr>
//                        <td style="text-align:center" width="50%"><b>'.$this->titulo2.'</b></td><td></td>
//                    </tr><tr>
//                        <td style="text-align:center" width="50%"><b>'.$this->titulo3.'</b></td><td></td>
//                    </tr>';
//            $html_2.='</table>';
//
//            $this->writeHTML($html_2);
//            $this->Ln(15);
//            $this->SetMargins(20, 35, 20);
//        }
//
//
//
//
//        else {
//
//            $date = date('d-M-y  h:m');
//
//            $this->SetRightMargin(10);
//            $this->SetTopMargin(4);
//            $this->SetFont('helvetica', '', 7);
//            $html = '<table border="0" width="100%"><tr><td width="15%" rowspan="4"><img width="170px" height="40px" src="images/logo_ingeominas.jpg" /></td>';
//            if($this->tipo_compr==1){
//            $html .= '<td width="65%" rowspan="4" align="center"><br/><br/><b>' . $this->titulo .'<br/>'.$this->id_cen_op. '</b></td><td rowspan="4" align="right" width="20%"><h1>CDP No. ' . $this->id_comision . '</h1><b>FECHA: '.$this->fecha.'<br/>CLASE CDP: '.$this->clase.'<br/>ESTADO: '.$this->estado.'</b></td></tr></table>';
//            }
//            else if($this->tipo_compr==2){
//            $html .= '<td width="65%" rowspan="4" align="center"><br/><br/><b>' . $this->titulo .'<br/>'.$this->id_cen_op. '</b></td><td rowspan="4" align="right" width="20%"><h1>RP No. ' . $this->id_comision . '</h1><b>FECHA: '.$this->fecha.'<br/>CLASE RP: '.$this->clase.'<br/>ESTADO: '.$this->estado.'</b></td></tr></table>';
//            }
//            $this->writeHTML($html);
//
//             if($this->tipo_compr==1){
//$this->SetMargins(20, 25, 20);
//        }
//        else if($this->tipo_compr==2){
//            $this->SetMargins(20, 20, 20);
//        }
//        }
       

        
    }

    public function Footer() {
        $html="";
        if ($this->encabezado == '1') {
            
        } else {
            $date = date('d-M-y  h:m');
            $time = time();
            $html="";
            $this->SetRightMargin(15);
            $this->SetLeftMargin(15);
            $this->SetFont('helvetica', '', 7);
            $this->SetY(-20);
           if($this->tipo_compr!=2){
             $html= '<table style="width:800px">
                            <tr>
                                <td style="color: #999">Websafi - Presupuesto</td>';
             $html.='<td style="color: #999">Página' . $this->PageNo() . '/{nb}</td>
	             <td style="color: #999">Fecha de Impresion: ' . $date . '</td>
                            <td style="color: #999">Usuario:' . $this->usuario .'</td>
                        </tr>
                        </table>';
           }
            $this->writeHTML($html);
        }
    }
    function fechaEspanol($fecha){


                    $transf = strtotime($fecha);
                   $dia = date("d", $transf);
                    $mes = date("F", $transf);

                    if ($mes == "January")
                        $mes = "Enero";
                    if ($mes == "February")
                        $mes = "Febrero";
                    if ($mes == "March")
                        $mes = "Marzo";
                    if ($mes == "April")
                        $mes = "Abril";
                    if ($mes == "May")
                        $mes = "Mayo";
                    if ($mes == "June")
                        $mes = "Junio";
                    if ($mes == "July")
                        $mes = "Julio";
                    if ($mes == "August")
                        $mes = "Agosto";
                    if ($mes == "September")
                        $mes = "Setiembre";
                    if ($mes == "October")
                        $mes = "Octubre";
                    if ($mes == "November")
                        $mes = "Noviembre";
                    if ($mes == "December")
                        $mes = "Diciembre";
                    $ano = date("Y", $transf);
                    $fecha_resol=$dia." ".$mes." ".$ano;
                    return $fecha_resol;

    }


}

